<?php

function tcd_template_meta_box() {
  add_meta_box(
    'add_custom_fields',//ID of meta box
    __('Page template setting', 'tcd-w'),//label
    'show_tcd_template_meta_box',//callback function
    'page',// post type
    'normal',// context
    'high'// priority
  );
}
add_action('add_meta_boxes', 'tcd_template_meta_box');

function show_tcd_template_meta_box() {
  global $post;
  $options =  get_desing_plus_option();

  //テンプレートのタイプ
  $page_tcd_template_type =
		array(
			'name' => __('Page template type', 'tcd-w'),
			'id' => 'page_tcd_template_type',
			'type' => 'radio',
      'std' => 'type1',
			'options' => array(
				array('name' => __('Normal template', 'tcd-w'), 'value' => 'type1', 'img' => 'template_type1.jpg'),
				array('name' => __('Template1', 'tcd-w'), 'value' => 'type2', 'img' => 'template_type2.jpg'),
				array('name' => __('Template2', 'tcd-w'), 'value' => 'type3', 'img' => 'template_type3.jpg'),
				array('name' => __('Template3', 'tcd-w'), 'value' => 'type4', 'img' => 'template_type4.jpg'),
				array('name' => __('Template4', 'tcd-w'), 'value' => 'type5', 'img' => 'template_type5.jpg'),
			)
    );
  $page_tcd_template_type_meta = get_post_meta($post->ID, 'page_tcd_template_type', true);

  // テンプレート1---------------------------------------------------------------------

  //１列目
  $type1_row1_headline = array( 'name' => __('Headline for first row', 'tcd-w'), 'desc' => __('Enter headline for first row.', 'tcd-w'), 'id' => 'type1_row1_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row1_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row1_headline', true));
  $type1_row1_desc = array( 'name' => __('Description for first row', 'tcd-w'), 'desc' => __('Enter description for first row.', 'tcd-w'), 'id' => 'type1_row1_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row1_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row1_desc', true));

  //２列目
  $type1_row2_col1_headline = array( 'name' => __('Headline for second row left column', 'tcd-w'), 'desc' => __('Enter headline for second row left column.', 'tcd-w'), 'id' => 'type1_row2_col1_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col1_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col1_headline', true));
  $type1_row2_col1_desc = array( 'name' => __('Description for second row left column', 'tcd-w'), 'desc' => __('Enter description for second row left column.', 'tcd-w'), 'id' => 'type1_row2_col1_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col1_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col1_desc', true));

  $type1_row2_col2_headline = array( 'name' => __('Headline for second row center column', 'tcd-w'), 'desc' => __('Enter headline for second row center column.', 'tcd-w'), 'id' => 'type1_row2_col2_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col2_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col2_headline', true));
  $type1_row2_col2_desc = array( 'name' => __('Description for second row center column', 'tcd-w'), 'desc' => __('Enter description for second row center column.', 'tcd-w'), 'id' => 'type1_row2_col2_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col2_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col2_desc', true));

  $type1_row2_col3_headline = array( 'name' => __('Headline for second row right column', 'tcd-w'), 'desc' => __('Enter headline for second row right column.', 'tcd-w'), 'id' => 'type1_row2_col3_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col3_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col3_headline', true));
  $type1_row2_col3_desc = array( 'name' => __('Description for second row right column', 'tcd-w'), 'desc' => __('Enter description for second row right column.', 'tcd-w'), 'id' => 'type1_row2_col3_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row2_col3_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row2_col3_desc', true));

  //４列目
  $type1_row4_headline = array( 'name' => __('Headline for fourth row', 'tcd-w'), 'desc' => __('Enter headline for fourth row.', 'tcd-w'), 'id' => 'type1_row4_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row4_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row4_headline', true));
  $type1_row4_desc = array( 'name' => __('Description for fourth row', 'tcd-w'), 'desc' => __('Enter description for fourth row.', 'tcd-w'), 'id' => 'type1_row4_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row4_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row4_desc', true));

  //５列目
  $type1_row5_headline = array( 'name' => __('Headline for fifth row', 'tcd-w'), 'desc' => __('Enter headline for fifth row.', 'tcd-w'), 'id' => 'type1_row5_headline', 'type' => 'textarea', 'std' => '' );
  $type1_row5_headline_meta = esc_html(get_post_meta($post->ID, 'type1_row5_headline', true));
  $type1_row5_desc = array( 'name' => __('Description for fifth row', 'tcd-w'), 'desc' => __('Enter description for fifth row.', 'tcd-w'), 'id' => 'type1_row5_desc', 'type' => 'textarea', 'std' => '' );
  $type1_row5_desc_meta = esc_html(get_post_meta($post->ID, 'type1_row5_desc', true));


  // テンプレート2---------------------------------------------------------------------

  //１列目
  $type2_row1_col1_headline = array( 'name' => __('Headline for first row left column', 'tcd-w'), 'desc' => __('Enter headline for first row left column.', 'tcd-w'), 'id' => 'type2_row1_col1_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col1_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col1_headline', true));
  $type2_row1_col1_desc = array( 'name' => __('Description for first row left column', 'tcd-w'), 'desc' => __('Enter description for first row left column.', 'tcd-w'), 'id' => 'type2_row1_col1_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col1_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col1_desc', true));

  $type2_row1_col2_headline = array( 'name' => __('Headline for first row center column', 'tcd-w'), 'desc' => __('Enter headline for first row center column.', 'tcd-w'), 'id' => 'type2_row1_col2_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col2_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col2_headline', true));
  $type2_row1_col2_desc = array( 'name' => __('Description for first row center column', 'tcd-w'), 'desc' => __('Enter description for first row center column.', 'tcd-w'), 'id' => 'type2_row1_col2_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col2_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col2_desc', true));

  $type2_row1_col3_headline = array( 'name' => __('Headline for first row right column', 'tcd-w'), 'desc' => __('Enter headline for first row right column.', 'tcd-w'), 'id' => 'type2_row1_col3_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col3_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col3_headline', true));
  $type2_row1_col3_desc = array( 'name' => __('Description for first row right column', 'tcd-w'), 'desc' => __('Enter description for first row right column.', 'tcd-w'), 'id' => 'type2_row1_col3_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row1_col3_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row1_col3_desc', true));

  //２列目
  $type2_row2_headline = array( 'name' => __('Headline for second row', 'tcd-w'), 'desc' => __('Enter headline for second row.', 'tcd-w'), 'id' => 'type2_row2_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row2_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row2_headline', true));
  $type2_row2_desc = array( 'name' => __('Description for second row', 'tcd-w'), 'desc' => __('Enter description for second row.', 'tcd-w'), 'id' => 'type2_row2_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row2_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row2_desc', true));

  //３列目
  $type2_row3_headline = array( 'name' => __('Headline for third row', 'tcd-w'), 'desc' => __('Enter headline for third row.', 'tcd-w'), 'id' => 'type2_row3_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row3_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row3_headline', true));
  $type2_row3_desc = array( 'name' => __('Description for third row', 'tcd-w'), 'desc' => __('Enter description for third row.', 'tcd-w'), 'id' => 'type2_row3_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row3_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row3_desc', true));

  //４列目
  $type2_row4_headline = array( 'name' => __('Headline for fourth row', 'tcd-w'), 'desc' => __('Enter headline for fourth row.', 'tcd-w'), 'id' => 'type2_row4_headline', 'type' => 'textarea', 'std' => '' );
  $type2_row4_headline_meta = esc_html(get_post_meta($post->ID, 'type2_row4_headline', true));
  $type2_row4_desc = array( 'name' => __('Description for fourth row', 'tcd-w'), 'desc' => __('Enter description for fourth row.', 'tcd-w'), 'id' => 'type2_row4_desc', 'type' => 'textarea', 'std' => '' );
  $type2_row4_desc_meta = esc_html(get_post_meta($post->ID, 'type2_row4_desc', true));


  // テンプレート3---------------------------------------------------------------------

  //１列目
  $type3_row1_headline = array( 'name' => __('Headline for first row', 'tcd-w'), 'desc' => __('Enter headline for first row.', 'tcd-w'), 'id' => 'type3_row1_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row1_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row1_headline', true));
  $type3_row1_desc = array( 'name' => __('Description for first row', 'tcd-w'), 'desc' => __('Enter description for first row.', 'tcd-w'), 'id' => 'type3_row1_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row1_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row1_desc', true));

  //２列目
  $type3_row2_headline = array( 'name' => __('Headline for second row', 'tcd-w'), 'desc' => __('Enter headline for second row.', 'tcd-w'), 'id' => 'type3_row2_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row2_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row2_headline', true));
  $type3_row2_desc = array( 'name' => __('Description for second row', 'tcd-w'), 'desc' => __('Enter description for second row.', 'tcd-w'), 'id' => 'type3_row2_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row2_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row2_desc', true));

  //４列目
  $type3_row4_headline = array( 'name' => __('Headline for fourth row', 'tcd-w'), 'desc' => __('Enter headline for fourth row.', 'tcd-w'), 'id' => 'type3_row4_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row4_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row4_headline', true));
  $type3_row4_desc = array( 'name' => __('Description for fourth row', 'tcd-w'), 'desc' => __('Enter description for fourth row.', 'tcd-w'), 'id' => 'type3_row4_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row4_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row4_desc', true));

  //５列目
  $type3_row5_col1_headline = array( 'name' => __('Headline for fifth row left column', 'tcd-w'), 'desc' => __('Enter headline for fifth row left column.', 'tcd-w'), 'id' => 'type3_row5_col1_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col1_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col1_headline', true));
  $type3_row5_col1_desc = array( 'name' => __('Description for fifth row left column', 'tcd-w'), 'desc' => __('Enter description for fifth row left column.', 'tcd-w'), 'id' => 'type3_row5_col1_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col1_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col1_desc', true));

  $type3_row5_col2_headline = array( 'name' => __('Headline for fifth row center column', 'tcd-w'), 'desc' => __('Enter headline for fifth row center column.', 'tcd-w'), 'id' => 'type3_row5_col2_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col2_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col2_headline', true));
  $type3_row5_col2_desc = array( 'name' => __('Description for fifth row center column', 'tcd-w'), 'desc' => __('Enter description for fifth row center column.', 'tcd-w'), 'id' => 'type3_row5_col2_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col2_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col2_desc', true));

  $type3_row5_col3_headline = array( 'name' => __('Headline for fifth row right column', 'tcd-w'), 'desc' => __('Enter headline for fifth row right column.', 'tcd-w'), 'id' => 'type3_row5_col3_headline', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col3_headline_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col3_headline', true));
  $type3_row5_col3_desc = array( 'name' => __('Description for fifth row right column', 'tcd-w'), 'desc' => __('Enter description for fifth row right column.', 'tcd-w'), 'id' => 'type3_row5_col3_desc', 'type' => 'textarea', 'std' => '' );
  $type3_row5_col3_desc_meta = esc_html(get_post_meta($post->ID, 'type3_row5_col3_desc', true));


  // テンプレート4---------------------------------------------------------------------

  //１列目
  $type4_row1_headline = array( 'name' => __('Headline for first row', 'tcd-w'), 'desc' => __('Enter headline for first row.', 'tcd-w'), 'id' => 'type4_row1_headline', 'type' => 'textarea', 'std' => '' );
  $type4_row1_headline_meta = esc_html(get_post_meta($post->ID, 'type4_row1_headline', true));

  //２列目
  $type4_row2_headline = array( 'name' => __('Headline for second row', 'tcd-w'), 'desc' => __('Enter headline for second row.', 'tcd-w'), 'id' => 'type4_row2_headline', 'type' => 'textarea', 'std' => '' );
  $type4_row2_headline_meta = esc_html(get_post_meta($post->ID, 'type4_row2_headline', true));

  //４列目
  $type4_row4_headline = array( 'name' => __('Headline for fourth row', 'tcd-w'), 'desc' => __('Enter headline for fourth row.', 'tcd-w'), 'id' => 'type4_row4_headline', 'type' => 'textarea', 'std' => '' );
  $type4_row4_headline_meta = esc_html(get_post_meta($post->ID, 'type4_row4_headline', true));

  //５列目
  $type4_google_map = array( 'name' => __('Google map', 'tcd-w'), 'desc' => __('Enter address. Google map will automatically build. Use TCD theme option if you need to enter API key.', 'tcd-w'), 'id' => 'type4_google_map', 'type' => 'textarea', 'std' => '' );
  $type4_google_map_meta = esc_html(get_post_meta($post->ID, 'type4_google_map', true));


  // ---------------------------------------------------------------------

  echo '<input type="hidden" name="custom_fields_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

  //テンプレートの選択 ***********************************************************************************************************************************************************************************
  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box1">';

  echo '<dt><label for="' , $page_tcd_template_type['id'] , '">' , $page_tcd_template_type['name'] , '</label></dt>';
  echo '<dd><ul class="radio template cf">';
	foreach ($page_tcd_template_type['options'] as $page_tcd_template_type_option) {
    if($page_tcd_template_type_option['value'] == 'type1') {
      echo '<li><label', ( ( empty($page_tcd_template_type_meta) && $page_tcd_template_type_option['value'] == 'type1' ) || $page_tcd_template_type_meta == $page_tcd_template_type_option['value'] ) ? ' class="active"' : '' ,'><input type="radio" id ="template_', $page_tcd_template_type_option['value'], '" name="', $page_tcd_template_type['id'], '" value="', $page_tcd_template_type_option['value'], '"', ($page_tcd_template_type_meta == $page_tcd_template_type_option['value'] || $page_tcd_template_type['std'] == $page_tcd_template_type_option['value']) ? ' checked="checked"' : '', ' />', $page_tcd_template_type_option['name'] , '</label></li>';
    } else {
      echo '<li><label', ( ( empty($page_tcd_template_type_meta) && $page_tcd_template_type_option['value'] == 'type1' ) || $page_tcd_template_type_meta == $page_tcd_template_type_option['value'] ) ? ' class="active"' : '' ,'><input type="radio" id ="template_', $page_tcd_template_type_option['value'], '" name="', $page_tcd_template_type['id'], '" value="', $page_tcd_template_type_option['value'], '"', ($page_tcd_template_type_meta == $page_tcd_template_type_option['value'] || $page_tcd_template_type['std'] == $page_tcd_template_type_option['value']) ? ' checked="checked"' : '', ' />', $page_tcd_template_type_option['name'] , '</label><a href="' , bloginfo('template_url') , '/admin/img/' ,  $page_tcd_template_type_option['img'] , '" class="fancybox" rel="group1" title="' , $page_tcd_template_type_option['name'] , '">' , __('View image', 'tcd-w') ,'</a></li>';
    }
  }
  echo '</ul></dd>';

  echo '</dl>';

  //メイン画像の登録 ***********************************************************************************************************************************************************************************
  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box0">';

  echo '<dt><label>' , __('Main image', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for page header.<br />Recommend image size. Width:1450 Height:400px', 'tcd-w') , '</p>';
    mlcf_media_form('page_main_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label>' , __('Main image for mobile device', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('If this image is not registered, images that were previously registered will be displayed.<br />Recommend image size. Width:800px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('page_main_image_mobile', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '</dl>';

  //テンプレート1 ***************************************************************************************************************************************************************************************

  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box2"' , ( $page_tcd_template_type_meta == 'type2' ) ? ' style="display:block;"' : ' style="display:none;"' , '>';

  //１段目
  echo '<dt><label for="' , $type1_row1_headline['id'] , '">' , $type1_row1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row1_headline['id'], '" id="', $type1_row1_headline['id'], '" value="', $type1_row1_headline_meta ? $type1_row1_headline_meta : $type1_row1_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row1_desc['id'] , '">' , $type1_row1_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row1_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row1_desc['id'], '" id="', $type1_row1_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row1_desc_meta ? $type1_row1_desc_meta : $type1_row1_desc['std'], '</textarea>';

  //２段目 1列目
  echo '<dt><label>' , __('Image for second row left column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row left column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row2_col1_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type1_row2_col1_headline['id'] , '">' , $type1_row2_col1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row2_col1_headline['id'], '" id="', $type1_row2_col1_headline['id'], '" value="', $type1_row2_col1_headline_meta ? $type1_row2_col1_headline_meta : $type1_row2_col1_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row2_col1_desc['id'] , '">' , $type1_row2_col1_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col1_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row2_col1_desc['id'], '" id="', $type1_row2_col1_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row2_col1_desc_meta ? $type1_row2_col1_desc_meta : $type1_row2_col1_desc['std'], '</textarea>';

  //２段目 ２列目
  echo '<dt><label>' , __('Image for second row center column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row center column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row2_col2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type1_row2_col2_headline['id'] , '">' , $type1_row2_col2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row2_col2_headline['id'], '" id="', $type1_row2_col2_headline['id'], '" value="', $type1_row2_col2_headline_meta ? $type1_row2_col2_headline_meta : $type1_row2_col2_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row2_col2_desc['id'] , '">' , $type1_row2_col2_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col2_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row2_col2_desc['id'], '" id="', $type1_row2_col2_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row2_col2_desc_meta ? $type1_row2_col2_desc_meta : $type1_row2_col2_desc['std'], '</textarea>';

  //２段目 ３列目
  echo '<dt><label>' , __('Image for second row right column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row right column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row2_col3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type1_row2_col3_headline['id'] , '">' , $type1_row2_col3_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col3_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row2_col3_headline['id'], '" id="', $type1_row2_col3_headline['id'], '" value="', $type1_row2_col3_headline_meta ? $type1_row2_col3_headline_meta : $type1_row2_col3_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row2_col3_desc['id'] , '">' , $type1_row2_col3_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row2_col3_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row2_col3_desc['id'], '" id="', $type1_row2_col3_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row2_col3_desc_meta ? $type1_row2_col3_desc_meta : $type1_row2_col3_desc['std'], '</textarea>';

  //３段目
  echo '<dt><label>' , __('Image for third row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for third row.<br />Recommend image size. Width:1200px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  //４段目
  echo '<dt><label>' , __('Image for fourth row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fourth row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row4_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type1_row4_headline['id'] , '">' , $type1_row4_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row4_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row4_headline['id'], '" id="', $type1_row4_headline['id'], '" value="', $type1_row4_headline_meta ? $type1_row4_headline_meta : $type1_row4_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row4_desc['id'] , '">' , $type1_row4_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row4_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row4_desc['id'], '" id="', $type1_row4_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row4_desc_meta ? $type1_row4_desc_meta : $type1_row4_desc['std'], '</textarea>';

  //５段目
  echo '<dt><label>' , __('Image for fifth row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fifth row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type1_row5_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type1_row5_headline['id'] , '">' , $type1_row5_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row5_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type1_row5_headline['id'], '" id="', $type1_row5_headline['id'], '" value="', $type1_row5_headline_meta ? $type1_row5_headline_meta : $type1_row5_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type1_row5_desc['id'] , '">' , $type1_row5_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type1_row5_desc['desc'] , '</p>';
  echo '<textarea name="', $type1_row5_desc['id'], '" id="', $type1_row5_desc['id'], '" cols="60" rows="4" style="width:100%">', $type1_row5_desc_meta ? $type1_row5_desc_meta : $type1_row5_desc['std'], '</textarea>';

  echo '</dl>';

  //テンプレート2 ***************************************************************************************************************************************************************************************

  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box3"' , ( $page_tcd_template_type_meta == 'type3' ) ? ' style="display:block;"' : ' style="display:none;"' , '>';

  //１段目 1列目
  echo '<dt><label>' , __('Image for first row left column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for first row left column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row1_col1_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row1_col1_headline['id'] , '">' , $type2_row1_col1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row1_col1_headline['id'], '" id="', $type2_row1_col1_headline['id'], '" value="', $type2_row1_col1_headline_meta ? $type2_row1_col1_headline_meta : $type2_row1_col1_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row1_col1_desc['id'] , '">' , $type2_row1_col1_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col1_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row1_col1_desc['id'], '" id="', $type2_row1_col1_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row1_col1_desc_meta ? $type2_row1_col1_desc_meta : $type2_row1_col1_desc['std'], '</textarea>';

  //１段目 ２列目
  echo '<dt><label>' , __('Image for first row center column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for first row center column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row1_col2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row1_col2_headline['id'] , '">' , $type2_row1_col2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row1_col2_headline['id'], '" id="', $type2_row1_col2_headline['id'], '" value="', $type2_row1_col2_headline_meta ? $type2_row1_col2_headline_meta : $type2_row1_col2_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row1_col2_desc['id'] , '">' , $type2_row1_col2_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col2_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row1_col2_desc['id'], '" id="', $type2_row1_col2_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row1_col2_desc_meta ? $type2_row1_col2_desc_meta : $type2_row1_col2_desc['std'], '</textarea>';

  //１段目 ３列目
  echo '<dt><label>' , __('Image for first row right column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for first row right column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row1_col3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row1_col3_headline['id'] , '">' , $type2_row1_col3_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col3_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row1_col3_headline['id'], '" id="', $type2_row1_col3_headline['id'], '" value="', $type2_row1_col3_headline_meta ? $type2_row1_col3_headline_meta : $type2_row1_col3_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row1_col3_desc['id'] , '">' , $type2_row1_col3_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row1_col3_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row1_col3_desc['id'], '" id="', $type2_row1_col3_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row1_col3_desc_meta ? $type2_row1_col3_desc_meta : $type2_row1_col3_desc['std'], '</textarea>';

  //２段目
  echo '<dt><label>' , __('Image for second row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row2_headline['id'] , '">' , $type2_row2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row2_headline['id'], '" id="', $type2_row2_headline['id'], '" value="', $type2_row2_headline_meta ? $type2_row2_headline_meta : $type2_row2_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row2_desc['id'] , '">' , $type2_row2_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row2_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row2_desc['id'], '" id="', $type2_row2_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row2_desc_meta ? $type2_row2_desc_meta : $type2_row2_desc['std'], '</textarea>';

  //３段目
  echo '<dt><label>' , __('Image for third row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for third row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row3_headline['id'] , '">' , $type2_row3_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row3_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row3_headline['id'], '" id="', $type2_row3_headline['id'], '" value="', $type2_row3_headline_meta ? $type2_row3_headline_meta : $type2_row3_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row3_desc['id'] , '">' , $type2_row3_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row3_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row3_desc['id'], '" id="', $type2_row3_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row3_desc_meta ? $type2_row3_desc_meta : $type2_row3_desc['std'], '</textarea>';

  //４段目
  echo '<dt><label>' , __('Image for fourth row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fourth row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type2_row4_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type2_row4_headline['id'] , '">' , $type2_row4_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row4_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type2_row4_headline['id'], '" id="', $type2_row4_headline['id'], '" value="', $type2_row4_headline_meta ? $type2_row4_headline_meta : $type2_row4_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type2_row4_desc['id'] , '">' , $type2_row4_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type2_row4_desc['desc'] , '</p>';
  echo '<textarea name="', $type2_row4_desc['id'], '" id="', $type2_row4_desc['id'], '" cols="60" rows="4" style="width:100%">', $type2_row4_desc_meta ? $type2_row4_desc_meta : $type2_row4_desc['std'], '</textarea>';

  echo '</dl>';

  //テンプレート3 ***************************************************************************************************************************************************************************************

  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box4"' , ( $page_tcd_template_type_meta == 'type4' ) ? ' style="display:block;"' : ' style="display:none;"' , '>';

  //１段目
  echo '<dt><label>' , __('Image for first row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for first row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row1_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type3_row1_headline['id'] , '">' , $type3_row1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row1_headline['id'], '" id="', $type3_row1_headline['id'], '" value="', $type3_row1_headline_meta ? $type3_row1_headline_meta : $type3_row1_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row1_desc['id'] , '">' , $type3_row1_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row1_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row1_desc['id'], '" id="', $type3_row1_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row1_desc_meta ? $type3_row1_desc_meta : $type3_row1_desc['std'], '</textarea>';

  //２段目
  echo '<dt><label>' , __('Image for second row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type3_row2_headline['id'] , '">' , $type3_row2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row2_headline['id'], '" id="', $type3_row2_headline['id'], '" value="', $type3_row2_headline_meta ? $type3_row2_headline_meta : $type3_row2_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row2_desc['id'] , '">' , $type3_row2_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row2_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row2_desc['id'], '" id="', $type3_row2_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row2_desc_meta ? $type3_row2_desc_meta : $type3_row2_desc['std'], '</textarea>';

  //３段目
  echo '<dt><label>' , __('Image for third row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for third row.<br />Recommend image size. Width:1200px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  //４段目
  echo '<dt><label for="' , $type3_row4_headline['id'] , '">' , $type3_row4_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row4_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row4_headline['id'], '" id="', $type3_row4_headline['id'], '" value="', $type3_row4_headline_meta ? $type3_row4_headline_meta : $type3_row4_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row4_desc['id'] , '">' , $type3_row4_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row4_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row4_desc['id'], '" id="', $type3_row4_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row4_desc_meta ? $type3_row4_desc_meta : $type3_row4_desc['std'], '</textarea>';

  //５段目 1列目
  echo '<dt><label>' , __('Image for fifth row left column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fifth row left column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row5_col1_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type3_row5_col1_headline['id'] , '">' , $type3_row5_col1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row5_col1_headline['id'], '" id="', $type3_row5_col1_headline['id'], '" value="', $type3_row5_col1_headline_meta ? $type3_row5_col1_headline_meta : $type3_row5_col1_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row5_col1_desc['id'] , '">' , $type3_row5_col1_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col1_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row5_col1_desc['id'], '" id="', $type3_row5_col1_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row5_col1_desc_meta ? $type3_row5_col1_desc_meta : $type3_row5_col1_desc['std'], '</textarea>';

  //５段目 ２列目
  echo '<dt><label>' , __('Image for fifth row center column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fifth row center column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row5_col2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type3_row5_col2_headline['id'] , '">' , $type3_row5_col2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row5_col2_headline['id'], '" id="', $type3_row5_col2_headline['id'], '" value="', $type3_row5_col2_headline_meta ? $type3_row5_col2_headline_meta : $type3_row5_col2_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row5_col2_desc['id'] , '">' , $type3_row5_col2_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col2_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row5_col2_desc['id'], '" id="', $type3_row5_col2_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row5_col2_desc_meta ? $type3_row5_col2_desc_meta : $type3_row5_col2_desc['std'], '</textarea>';

  //５段目 ３列目
  echo '<dt><label>' , __('Image for fifth row right column', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fifth row right column.<br />Recommend image size. Width:360px Height:270px', 'tcd-w') , '</p>';
    mlcf_media_form('type3_row5_col3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type3_row5_col3_headline['id'] , '">' , $type3_row5_col3_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col3_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type3_row5_col3_headline['id'], '" id="', $type3_row5_col3_headline['id'], '" value="', $type3_row5_col3_headline_meta ? $type3_row5_col3_headline_meta : $type3_row5_col3_headline['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $type3_row5_col3_desc['id'] , '">' , $type3_row5_col3_desc['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type3_row5_col3_desc['desc'] , '</p>';
  echo '<textarea name="', $type3_row5_col3_desc['id'], '" id="', $type3_row5_col3_desc['id'], '" cols="60" rows="4" style="width:100%">', $type3_row5_col3_desc_meta ? $type3_row5_col3_desc_meta : $type3_row5_col3_desc['std'], '</textarea>';

  echo '</dl>';

  //テンプレート4 ***************************************************************************************************************************************************************************************

  echo '<dl class="ml_custom_fields" id="ml_custom_fields_box5"' , ( $page_tcd_template_type_meta == 'type5' ) ? ' style="display:block;"' : ' style="display:none;"' , '>';

  //１段目
  echo '<dt><label for="' , $type4_row1_headline['id'] , '">' , $type4_row1_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type4_row1_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type4_row1_headline['id'], '" id="', $type4_row1_headline['id'], '" value="', $type4_row1_headline_meta ? $type4_row1_headline_meta : $type4_row1_headline['std'], '" size="30" style="width:100%" />';

  //２段目
  echo '<dt><label>' , __('Image for second row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for second row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type4_row2_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type4_row2_headline['id'] , '">' , $type4_row2_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type4_row2_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type4_row2_headline['id'], '" id="', $type4_row2_headline['id'], '" value="', $type4_row2_headline_meta ? $type4_row2_headline_meta : $type4_row2_headline['std'], '" size="30" style="width:100%" />';

  $type4_row2_desc_meta = get_post_meta( $post->ID, 'type4_row2_desc', true );
  echo '<dt><label>' , __('Description for second row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Enter description for second row.', 'tcd-w') , '</p>';
  wp_editor( $type4_row2_desc_meta, 'type4_row2_desc', array(
      'textarea_name' => 'type4_row2_desc',
      'textarea_rows' => 20
  ));
  echo '</dd>';

  //３段目
  echo '<dt><label>' , __('Image for third row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for third row.<br />Recommend image size. Width:1200px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type4_row3_image', __('Image', 'tcd-w'));
  echo '</dd>';

  //４段目
  echo '<dt><label>' , __('Image for fourth row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Register image for fourth row.<br />Recommend image size. Width:568px Height:Free size', 'tcd-w') , '</p>';
    mlcf_media_form('type4_row4_image', __('Image', 'tcd-w'));
  echo '</dd>';

  echo '<dt><label for="' , $type4_row4_headline['id'] , '">' , $type4_row4_headline['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type4_row4_headline['desc'] , '</p>';
  echo '<input type="text" name="', $type4_row4_headline['id'], '" id="', $type4_row4_headline['id'], '" value="', $type4_row4_headline_meta ? $type4_row4_headline_meta : $type4_row4_headline['std'], '" size="30" style="width:100%" />';

  $type4_row4_desc_meta = get_post_meta( $post->ID, 'type4_row4_desc', true );
  echo '<dt><label>' , __('Description for fourth row', 'tcd-w') ,'</label></dt>';
  echo '<dd><p class="desc">' , __('Enter description for fourth row.', 'tcd-w') , '</p>';
  wp_editor( $type4_row4_desc_meta, 'type4_row4_desc', array(
      'textarea_name' => 'type4_row4_desc',
      'textarea_rows' => 20
  ));
  echo '</dd>';

  echo '<dt><label for="' , $type4_google_map['id'] , '">' , $type4_google_map['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $type4_google_map['desc'] , '</p>';
  echo '<input type="text" name="', $type4_google_map['id'], '" id="', $type4_google_map['id'], '" value="', $type4_google_map_meta ? $type4_google_map_meta : $type4_google_map['std'], '" size="30" style="width:100%" />';

  echo '</dl>';

}

function save_custom_fields_meta_box( $post_id ) {

  // verify nonce
  if (!isset($_POST['custom_fields_meta_box_nonce']) || !wp_verify_nonce($_POST['custom_fields_meta_box_nonce'], basename(__FILE__))) {
    return $post_id;
  }

  // check autosave
  if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
    return $post_id;
  }

  // check permissions
  if ('page' == $_POST['post_type']) {
    if (!current_user_can('edit_page', $post_id)) {
      return $post_id;
    }
  } elseif (!current_user_can('edit_post', $post_id)) {
      return $post_id;
  }

  // save or delete
  $cf_keys = array('page_tcd_template_type', 'page_main_image', 'page_main_image_mobile', 'type1_row1_headline', 'type1_row1_desc' , 'type1_row2_col1_image' , 'type1_row2_col1_headline' , 'type1_row2_col1_desc' , 'type1_row2_col2_image' , 'type1_row2_col2_headline' , 'type1_row2_col2_desc' , 'type1_row2_col3_image' , 'type1_row2_col3_headline' , 'type1_row2_col3_desc' , 'type1_row3_image' , 'type1_row4_image' , 'type1_row4_headline' , 'type1_row4_desc' , 'type1_row5_image' , 'type1_row5_headline' , 'type1_row5_desc' , 'type2_row1_col1_image' , 'type2_row1_col1_headline' , 'type2_row1_col1_desc' , 'type2_row1_col2_image' , 'type2_row1_col2_headline' , 'type2_row1_col2_desc' , 'type2_row1_col3_image' , 'type2_row1_col3_headline' , 'type2_row1_col3_desc' , 'type2_row2_image' , 'type2_row2_headline' , 'type2_row2_desc' , 'type2_row3_image' , 'type2_row3_headline' , 'type2_row3_desc' , 'type2_row4_image' , 'type2_row4_headline' , 'type2_row4_desc' , 'type3_row1_image' , 'type3_row1_headline' , 'type3_row1_desc' , 'type3_row2_image' , 'type3_row2_headline' , 'type3_row2_desc' , 'type3_row3_image' , 'type3_row4_headline' , 'type3_row4_desc' , 'type3_row5_col1_image' , 'type3_row5_col1_headline' , 'type3_row5_col1_desc' , 'type3_row5_col2_image' , 'type3_row5_col2_headline' , 'type3_row5_col2_desc' , 'type3_row5_col3_image' , 'type3_row5_col3_headline' , 'type3_row5_col3_desc' ,'type4_row1_headline' , 'type4_row2_image' , 'type4_row2_headline', 'type4_row2_desc' , 'type4_row3_image' , 'type4_row4_image' , 'type4_row4_headline' , 'type4_row4_desc' , 'type4_google_map');
  foreach ($cf_keys as $cf_key) {
    $old = get_post_meta($post_id, $cf_key, true);

    if (isset($_POST[$cf_key])) {
      $new = $_POST[$cf_key];
    } else {
      $new = '';
    }

    if ($new && $new != $old) {
      update_post_meta($post_id, $cf_key, $new);
    } elseif ('' == $new && $old) {
      delete_post_meta($post_id, $cf_key, $old);
    }
  }

}
add_action('save_post', 'save_custom_fields_meta_box');


/* フォーム用 画像フィールド出力 */
function mlcf_media_form($cf_key, $label) {
	global $post;
	if (empty($cf_key)) return false;
	if (empty($label)) $label = $cf_key;

	$media_id = get_post_meta($post->ID, $cf_key, true);
?>
  <div class="cf cf_media_field hide-if-no-js <?php echo esc_attr($cf_key); ?>">
    <input type="hidden" class="cf_media_id" name="<?php echo esc_attr($cf_key); ?>" id="<?php echo esc_attr($cf_key); ?>" value="<?php echo esc_attr($media_id); ?>" />
    <div class="preview_field"><?php if ($media_id) the_mlcf_image($post->ID, $cf_key); ?></div>
    <div class="buttton_area">
     <input type="button" class="cfmf-select-img button" value="<?php _e('Select Image', 'tcd-w'); ?>" />
     <input type="button" class="cfmf-delete-img button<?php if (!$media_id) echo ' hidden'; ?>" value="<?php _e('Remove Image', 'tcd-w'); ?>" />
    </div>
  </div>
<?php
}




/* 画像フィールドで選択された画像をimgタグで出力 */
function the_mlcf_image($post_id, $cf_key, $image_size = 'medium') {
	echo get_mlcf_image($post_id, $cf_key, $image_size);
}

/* 画像フィールドで選択された画像をimgタグで返す */
function get_mlcf_image($post_id, $cf_key, $image_size = 'medium') {
	global $post;
	if (empty($cf_key)) return false;
	if (empty($post_id)) $post_id = $post->ID;

	$media_id = get_post_meta($post_id, $cf_key, true);
	if ($media_id) {
		return wp_get_attachment_image($media_id, $image_size, $image_size);
	}

	return false;
}

/* 画像フィールドで選択された画像urlを返す */
function get_mlcf_image_url($post_id, $cf_key, $image_size = 'medium') {
	global $post;
	if (empty($cf_key)) return false;
	if (empty($post_id)) $post_id = $post->ID;

	$media_id = get_post_meta($post_id, $cf_key, true);
	if ($media_id) {
		$img = wp_get_attachment_image_src($media_id, $image_size);
		if (!empty($img[0])) {
			return $img[0];
		}
	}

	return false;
}

/* 画像フィールドで選択されたメディアのURLを出力 */
function the_mlcf_media_url($post_id, $cf_key) {
	echo get_mlcf_media_url($post_id, $cf_key);
}

/* 画像フィールドで選択されたメディアのURLを返す */
function get_mlcf_media_url($post_id, $cf_key) {
	global $post;
	if (empty($cf_key)) return false;
	if (empty($post_id)) $post_id = $post->ID;

	$media_id = get_post_meta($post_id, $cf_key, true);
	if ($media_id) {
		return wp_get_attachment_url($media_id);
	}

	return false;
}


