<?php


//アイキャッチ画像にメッセージを追加
add_action( 'current_screen', 'add_message_to_cmb');
function add_message_to_cmb() {
  $currentScreen = get_current_screen();
  if( $currentScreen->post_type === "staff" ) {
    add_filter( 'admin_post_thumbnail_html', 'add_featured_image_instruction');
    function add_featured_image_instruction( $content ) {
      return $content .= __('<p>Recommend image size. Width:250px or more, Height:Free size</p>', 'tcd-w');
    };
  }
}


//カスタムメタボックスを追加
function tcd_template_meta_box2() {
  add_meta_box(
    'add_custom_fields',//ID of meta box
    __('Additinonal staff information', 'tcd-w'),//label
    'show_tcd_template_meta_box2',//callback function
    'staff',// post type
    'normal',// context
    'high'// priority
  );
}
add_action('add_meta_boxes', 'tcd_template_meta_box2');

function show_tcd_template_meta_box2() {
  global $post;
  $options =  get_desing_plus_option();

  $staff_data1 = array( 'name' => __('Sub title', 'tcd-w'), 'desc' => __('Enter sub title for this staff.', 'tcd-w'), 'id' => 'staff_data1', 'type' => 'textarea', 'std' => '' );
  $staff_data1_meta = esc_html(get_post_meta($post->ID, 'staff_data1', true));

  $staff_data2 = array( 'name' => __('Short description', 'tcd-w'), 'desc' => __('Enter short description for staff list.', 'tcd-w'), 'id' => 'staff_data2', 'type' => 'textarea', 'std' => '' );
  $staff_data2_meta = esc_html(get_post_meta($post->ID, 'staff_data2', true));

  echo '<input type="hidden" name="custom_fields_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

  echo '<dl class="ml_custom_fields">';

  echo '<dt><label for="' , $staff_data1['id'] , '">' , $staff_data1['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $staff_data1['desc'] , '</p>';
  echo '<input type="text" name="', $staff_data1['id'], '" id="', $staff_data1['id'], '" value="', $staff_data1_meta ? $staff_data1_meta : $staff_data1['std'], '" size="30" style="width:100%" />';

  echo '<dt><label for="' , $staff_data2['id'] , '">' , $staff_data2['name'] , '</label></dt>';
  echo '<dd><p class="desc">' , $staff_data2['desc'] , '</p>';
  echo '<textarea name="', $staff_data2['id'], '" id="', $staff_data2['id'], '" cols="60" rows="2" style="width:100%">', $staff_data2_meta ? $staff_data2_meta : $staff_data2['std'], '</textarea>';

  echo '</dl>';

}

function save_custom_fields_meta_box2( $post_id ) {

  // verify nonce
  if (!isset($_POST['custom_fields_meta_box_nonce']) || !wp_verify_nonce($_POST['custom_fields_meta_box_nonce'], basename(__FILE__))) {
    return $post_id;
  }

  // check autosave
  if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
    return $post_id;
  }

  // check permissions
  if ('menu' == $_POST['post_type']) {
    if (!current_user_can('edit_page', $post_id)) {
      return $post_id;
    }
  } elseif (!current_user_can('edit_post', $post_id)) {
      return $post_id;
  }

  // save or delete
  $cf_keys = array('staff_data1','staff_data2');
  foreach ($cf_keys as $cf_key) {
    $old = get_post_meta($post_id, $cf_key, true);

    if (isset($_POST[$cf_key])) {
      $new = $_POST[$cf_key];
    } else {
      $new = '';
    }

    if ($new && $new != $old) {
      update_post_meta($post_id, $cf_key, $new);
    } elseif ('' == $new && $old) {
      delete_post_meta($post_id, $cf_key, $old);
    }
  }

}
add_action('save_post', 'save_custom_fields_meta_box2');


