<?php if (is_mobile()) { get_template_part('mobile/header'); } else { ?>
<?php
  $options = get_desing_plus_option();
  $main_color = $options['pickedcolor1'];
  $main_rgb_color = implode( ', ', hex2rgb( $main_color ) );
  $sub_color = $options['pickedcolor2'];
  //$sub_color2 = $options['sub_color2'];
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php
     $options = get_desing_plus_option();
     if($options['use_ogp']) {
?>
<head prefix="og: http://ogp.me/ns# fb: http://ogp.me/ns/fb#">
<?php } else { ?>
<head>
<?php }; ?>

<?php if($options['favicon']){ ?>
<link rel="shortcut icon" href="<?php echo $options['favicon']; ?>" />
<?php }; ?>

<meta charset="<?php bloginfo('charset'); ?>">
<meta name="viewport" content="width=1200">
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><![endif]-->
<title><?php wp_title('|', true, 'right'); ?></title>
<meta name="description" content="<?php seo_description(); ?>">
<?php if($options['use_ogp']) { ogp(); }; ?>
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<?php wp_enqueue_style('style', get_stylesheet_uri(), false, version_num(), 'screen'); wp_enqueue_script( 'jquery' ); if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php
     if(is_page()) {
     $page_tcd_template_type = get_post_meta($post->ID,'page_tcd_template_type',true);
     if($page_tcd_template_type == 'type5'){
?>
<script src="https://maps.googleapis.com/maps/api/js<?php if($options['myapikey']){echo '?key='.$options['myapikey'];}; ?>"></script>
<?php }; }; ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/jscript.js?ver=<?php echo version_num(); ?>"></script>
<?php if($options['header_fix'] == 'type2') { ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/header_fix.js?ver=<?php echo version_num(); ?>"></script>
<?php }; ?>

<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style-pc.css?ver=<?php echo version_num(); ?>">
<?php if (strtoupper(get_locale()) == 'JA') : //to fix the font-size for japanese font ?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/japanese.css?ver=<?php echo version_num(); ?>">
<?php endif; ?>

<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js?ver=<?php echo version_num(); ?>"></script>
<![endif]-->

<style type="text/css">

<?php
     $logo = dp_logo_to_display();
     if($logo) {
?>
#logo_image { top:<?php echo $options['logotop']; ?>px; left:<?php echo $options['logoleft']; ?>px; }
<?php }; ?>

body { font-size:<?php echo $options['content_font_size']; ?>px; }

a, #menu_archive .headline2, #menu_archive li a.title, #menu_bottom_area h2, #menu_bottom_area h3, .post_date, .archive_headline
  { color:#<?php echo $options['pickedcolor1']; ?>; }

a:hover, .footer_menu a:hover, .footer_menu li:first-child a:hover, .footer_menu li:only-child a:hover, #footer_logo_text a:hover, #comment_header ul li a:hover
  { color:#<?php echo $options['pickedcolor2']; ?>; }
.footer_menu a:hover { color:#bbb; }
.footer_menu li:first-child a:hover, .footer_menu li:only-child a:hover { color:#fff; }

.global_menu li a:hover, .global_menu li.active_menu > a, #index_staff_head, #staff_headline, #footer_top, #archive_headline, .side_headline, #comment_headline,
 .page_navi span.current, .widget_search #search-btn input, .widget_search #searchsubmit, .google_search #search_button, .global_menu ul ul a
  { background-color:#<?php echo $options['pickedcolor1']; ?> !important; }

#header_contact a:hover{ background-color:#<?php echo $options['header_contact_button_color']; ?> !important; }
#index_news .link_button:hover, #index_staff .link_button:hover, #index_staff_list .owl-next:hover, #index_staff_head .link_button:hover, #index_staff_list .owl-prev:hover, #index_info_button li a:hover, #index_staff_list .link:hover, #index_staff_list a.link:hover, #archive_staff_list .link:hover, .flex-direction-nav a:hover, #return_top a:hover, .global_menu ul ul a:hover, #wp-calendar td a:hover, #wp-calendar #prev a:hover, #wp-calendar #next a:hover, .widget_search #search-btn input:hover, .google_search #search_button:hover, .widget_search #searchsubmit:hover, .page_navi a:hover, #previous_post a:hover, #next_post a:hover, #submit_comment:hover, #post_pagination a:hover, .tcdw_category_list_widget a:hover, .tcdw_archive_list_widget a:hover
   { background-color:#<?php echo $options['pickedcolor2']; ?> !important; }

#comment_textarea textarea:focus, #guest_info input:focus
  { border-color:#<?php echo $options['pickedcolor2']; ?> !important; }

<?php if(is_front_page() && !is_paged()) { ?>
#index_content1_top .box1 { background:#<?php echo $options['index_content1_color1'] ?>; }
#index_content1_top .box2 { background:#<?php echo $options['index_content1_color2'] ?>; }
#index_content1_top .box3 { background:#<?php echo $options['index_content1_color3'] ?>; }
<?php if($options['index_content1_type'] != 'type3') { ?>
#index_content1_top .box1 .image { background:url(<?php bloginfo('template_url'); ?>/img/index/icon_<?php echo $options['index_content1_icon1'] ?>.png) no-repeat center; }
#index_content1_top .box2 .image { background:url(<?php bloginfo('template_url'); ?>/img/index/icon_<?php echo $options['index_content1_icon2'] ?>.png) no-repeat center; }
#index_content1_top .box3 .image { background:url(<?php bloginfo('template_url'); ?>/img/index/icon_<?php echo $options['index_content1_icon3'] ?>.png) no-repeat center; }
<?php }; ?>
#index_info_button li.button1 a { background:#bbb url(<?php bloginfo('template_url'); ?>/img/index/icon2_<?php echo $options['index_info_button_icon1'] ?>.png) no-repeat 80px 33px; }
#index_info_button li.button2 a { background:#bbb url(<?php bloginfo('template_url'); ?>/img/index/icon2_<?php echo $options['index_info_button_icon2'] ?>.png) no-repeat 85px 33px; }
<?php }; ?>

<?php if($options['css_code']) { echo $options['css_code']; };?>

</style>

<?php if(is_front_page() && !is_paged()) { ?>
<?php
     if($options['show_index_staff'] == 1 || $options['show_index_slider'] == 1) {
       wp_enqueue_script('easing', get_template_directory_uri().'/js/jquery.easing.js', '', '1');
       wp_enqueue_script('slick', get_template_directory_uri().'/js/slick.min.js', '', '1');
?>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/js/slick.css?ver=<?php echo version_num(); ?>">
<script type="text/javascript">
jQuery(document).ready(function($){

  <?php if($options['show_index_slider'] == 1){ ?>
  $('#top_slider').slick({
    infinite: true,
    dots: false,
    slidesToShow: 1,
    slidesToScroll: 1,
    adaptiveHeight: true,
    autoplay: true,
    fade: true,
    easing: 'easeOutExpo',
    speed: 1000,
    autoplaySpeed: 7000
  });
  <?php }; ?>

  <?php if($options['show_index_staff'] == 1){ ?>
  $("#index_staff_list").slick({
    slidesToShow: 5,
    slidesToScroll: 1,
    autoplay: true,
    autoplaySpeed: 7000,
    speed: 1000,
    easing: 'easeOutExpo'
  });
  <?php }; ?>

});
</script>
<?php }; ?>
<?php }; ?>

<?php if(is_archive() || is_search() || is_home() ) { ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.infinitescroll.min.js?ver=<?php version_num(); ?>"></script>
<script type="text/javascript">
  jQuery(document).ready(function($){
    $('#archive_post_list').infinitescroll({
      navSelector  : '#load_post',
      nextSelector : '#load_post a',
      itemSelector : '.post_item',
      animate      : true,
      errorCallback: function() { 
          $('#infscr-loading').animate({opacity: 0.8},1000).fadeOut('normal');
      },
      loading: {
          msgText : '<?php _e('Loading post...', 'tcd-w');  ?>',
          finishedMsg : '<?php _e('No more post', 'tcd-w');  ?>',
          img : '<?php echo get_template_directory_uri(); ?>/img/common/loader.gif'
        }
      },function(arrayOfNewElems){
         $('#load_post a').show();
      }
    );
  });
</script>
<?php }; ?>

</head>
<body <?php body_class(); ?>>
<?php
if ( $options['use_load_icon'] ) :
?>
<div id="site-loader-overlay"><div id="site-loader-spinner" style="border: 3px solid rgba(<?php echo esc_attr( $main_rgb_color ); ?>, .5); border-left: 3px solid #<?php echo esc_html( $main_color ); ?>;">Loading</div></div>
<div id="site-wrap">
<?php 
endif; 
?>

 <div id="header">
  <div id="header_inner"<?php if($options['show_header_tel'] != 1 && $options['show_header_contact_button'] != 1) { echo ' class="no_tel_contact"'; }; ?>>

  <!-- logo -->
  <?php the_dp_logo(); ?>

  <!-- tel and contact -->
  <?php if($options['show_header_tel'] == 1 || $options['show_header_contact_button'] == 1) { ?>
  <ul id="header_tel_contact" class="clerfix">
   <?php if($options['show_header_tel'] == 1){ ?>
   <li id="header_tel">
    <p><?php if($options['show_header_tel']) { echo '<span class="label">' . esc_html($options['header_tel_label']) . '</span>'; }; if($options['show_header_tel']) { echo '<span class="number">' . esc_html($options['header_tel']) . '</span>'; }; ?></p>
   </li>
   <?php }; ?>
   <?php if($options['show_header_contact_button'] == 1){ ?>
   <li id="header_contact">
    <a href="<?php echo esc_html($options['header_contact_url']); ?>"><?php echo esc_html($options['header_contact_label']); ?></a>
   </li>
   <?php }; ?>
  </ul>
  <?php }; ?>

  <!-- global menu -->
  <?php if (has_nav_menu('global-menu')) { ?>
  <div class="global_menu clearfix">
   <?php wp_nav_menu( array( 'sort_column' => 'menu_order', 'theme_location' => 'global-menu' , 'container' => '' ) ); ?>
  </div>
  <?php }; ?>

  </div><!-- END #header_inner -->
 </div><!-- END #header -->

 <?php
      // top page slider --------------------------------------------------------------------------------------------------------------
      if(is_front_page() && !is_paged()) {
        if($options['show_index_slider']) {
 ?>
 <div id="top_slider">
  <?php
       for($i = 1; $i <= 3; $i++):
        if(!empty($options['slider_image'.$i])) {
        $slider_image = wp_get_attachment_image_src( $options['slider_image'.$i], 'full' );
  ?>
  <div class="item"><?php if(!empty($options['slider_url'.$i])) { ?><a href="<?php esc_attr_e( $options['slider_url'.$i] ); ?>" target="_blank"><?php }; ?><img src="<?php echo $slider_image[0]; ?>" alt="" title="" /><?php if(!empty($options['slider_url'.$i])) { ?></a><?php }; ?></div>
  <?php
        };
       endfor;
  ?>
 </div><!-- END #top_slider -->
 <?php
        };
      // news page -------------------------------------------------------------------------------------------------
      } elseif(is_post_type_archive('news') || is_singular('news')) {
        if(!empty($options['news_archive_image'])) {
          $news_archive_image = wp_get_attachment_image_src( $options['news_archive_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $news_archive_image[0]; ?>" alt="" title="" />
  <?php if(!empty($options['index_news_headline'])) { ?><h2 id="main_image_headline"><span><?php echo $options['index_news_headline']; ?></span></h2><?php }; ?>
 </div>
 <?php
        };
      // staff page -------------------------------------------------------------------------------------------------
      } elseif(is_post_type_archive('staff') || is_singular('staff')) {
        if(!empty($options['staff_archive_image'])) {
          $staff_archive_image = wp_get_attachment_image_src( $options['staff_archive_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $staff_archive_image[0]; ?>" alt="" title="" />
  <?php if(!empty($options['staff_archive_headline'])) { ?>
  <h2 id="main_image_headline"><span><?php echo wpautop( $options['staff_archive_headline'] ); ?></span></h2>
  <?php }; ?>
 </div>
 <?php
        };
      // page -------------------------------------------------------------------------------------------------
      } elseif(is_page()) {
        if(get_post_meta($post->ID,'page_main_image',true)) {
          $value = get_post_meta($post->ID, 'page_main_image', true);
          $image = wp_get_attachment_image_src($value, 'full');
 ?>
 <div id="main_image">
  <img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
  <h2 id="main_image_headline"><span><?php the_title(); ?></span></h2>
 </div>
 <?php
        } else {
  ?>
 <div id="main_image3">
  <h2><?php the_title(); ?></h2>
 </div>
 <?php
        };
      // category page -------------------------------------------------------------------------------------------------
      } elseif(is_archive()) {
        $query_obj = get_queried_object();
        $category_id = $query_obj->term_id;
        $category_data = get_option("cat_$category_id");
        if(!empty($category_data['category_image'])) {
          $category_image = wp_get_attachment_image_src( $category_data['category_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $category_image[0]; ?>" alt="" title="" />
  <h2 id="main_image_headline"><span><?php echo __('Blog', 'tcd-w'); ?></span></h2>
 </div>
 <?php
        } elseif(!empty($options['blog_archive_image'])) {
          $blog_archive_image = wp_get_attachment_image_src( $options['blog_archive_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $blog_archive_image[0]; ?>" alt="" title="" />
  <h2 id="main_image_headline"><span><?php echo __('Blog', 'tcd-w'); ?></span></h2>
 </div>
 <?php
        };
      // single page -------------------------------------------------------------------------------------------------
      } elseif(is_single()) {
        $cat_count = 1;
        foreach((get_the_category($post->ID)) as $category) {
          if($cat_count == 1) {
            $category_id = $category->term_id;
          } else {
            break;
          };
          $cat_count++;
        }
        $category_data = get_option("cat_$category_id");
        if(!empty($category_data['category_image'])) {
          $category_image = wp_get_attachment_image_src( $category_data['category_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $category_image[0]; ?>" alt="" title="" />
  <h2 id="main_image_headline"><span><?php echo __('Blog', 'tcd-w'); ?></span></h2>
 </div>
 <?php
        } elseif(!empty($options['blog_archive_image'])) {
          $blog_archive_image = wp_get_attachment_image_src( $options['blog_archive_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $blog_archive_image[0]; ?>" alt="" title="" />
  <h2 id="main_image_headline"><span><?php echo __('Blog', 'tcd-w'); ?></span></h2>
 </div>
 <?php
        };
      // archive page -------------------------------------------------------------------------------------------------
      } elseif( (is_front_page() && is_paged()) || is_search() || is_home() ) {
        if(!empty($options['blog_archive_image'])) {
          $blog_archive_image = wp_get_attachment_image_src( $options['blog_archive_image'], 'full' );
 ?>
 <div id="main_image">
  <img src="<?php echo $blog_archive_image[0]; ?>" alt="" title="" />
  <h2 id="main_image_headline"><span><?php echo __('Blog', 'tcd-w'); ?></span></h2>
 </div>
 <?php
        };
      } else {
 ?>
 <div id="main_image3">
  <h2><?php if(is_404()) { ?><?php _e("404 NOTFOUND","tcd-w"); ?><?php } else { the_title(); }; ?></h2>
 </div>
 <?php }; ?>

<?php }; ?>