<?php

 // Start class widget //
 class tcdw_archive_list_widget extends WP_Widget {

 // Constructor //
 function __construct() {
  $widget_ops = array( 'classname' => 'tcdw_archive_list_widget', 'description' => __('Displays designed archive list.', 'tcd-w') ); // Widget Settings
  $control_ops = array( 'id_base' => 'tcdw_archive_list_widget' ); // Widget Control Settings
  parent::__construct( 'tcdw_archive_list_widget', __('Archive list (tcd ver)', 'tcd-w'), $widget_ops, $control_ops ); // Create the widget
 }

 // Extract Args //
 function widget($args, $instance) {
  extract( $args );
   $title = apply_filters('widget_title', $instance['title']); // the widget title

   // Before widget //
   echo $before_widget;

   // Title of widget //
   if ( $title ) { echo $before_title . $title . $after_title; }

   // Widget output //
?>
<ul>
 <?php wp_get_archives('type=monthly'); ?>
</ul>
<?php

   // After widget //
   echo $after_widget;

} // end function widget


 // Update Settings //
 function update($new_instance, $old_instance) {
  $instance['title'] = strip_tags($new_instance['title']);
  return $instance;
 }

 // Widget Control Panel //
 function form($instance) {
  $defaults = array( 'title' => __('Archive list', 'tcd-w'));
  $instance = wp_parse_args( (array) $instance, $defaults );
?>
<p>
 <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'tcd-w'); ?></label>
 <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>'" type="text" value="<?php echo $instance['title']; ?>" />
</p>
<?php
 } // end function form
}

// End class widget
add_action('widgets_init', create_function('', 'return register_widget("tcdw_archive_list_widget");'));
?>